#!/usr/bin/env python3
"""
Run the integrated DryBox UI with Protocol (4FSK, ChaCha20, etc.)
"""

import sys
import os

# Add UI directory to path
sys.path.insert(0, os.path.join(os.path.dirname(__file__), 'UI'))

from PyQt5.QtWidgets import QApplication
from main import PhoneUI

def main():
    print("Starting DryBox with integrated Protocol...")
    print("Features:")
    print("- 4FSK modulation for GSM voice channel compatibility")
    print("- ChaCha20-Poly1305 encryption")
    print("- Noise XK protocol for key exchange")
    print("- Codec2 voice compression (1200 bps)")
    print("")
    
    app = QApplication(sys.argv)
    window = PhoneUI()
    window.show()
    
    print("UI started. Use the phone buttons to:")
    print("1. Click Phone 1 to initiate a call")
    print("2. Click Phone 2 to answer when ringing")
    print("3. Audio will be encrypted and transmitted")
    print("")
    
    sys.exit(app.exec_())

if __name__ == '__main__':
    main()